#ifndef SDVERSION_H
#define SDVERSION_H

#include <QString>

class SdVersion
{
public:
    //SdVersion();
    SdVersion(int major=0, int minor=0, int build=0, int revision=0);
    SdVersion(QString str);
    void clear();
    bool operator>(SdVersion v);
    bool operator<(SdVersion v);
    bool operator<=(SdVersion v);
    bool operator>=(SdVersion v);
    bool operator==(SdVersion v);
    bool operator!=(SdVersion v);
private:
    int major;
    int minor;
    int build;
    int revision;
    int size;
    QString ad;
};

#endif // SDVERSION_H
